{"swagger":"2.0","info":{"description":"The public API of A1 Exchange","version":"0.2.0","title":"A1 Exchange API","contact":{"email":"contact@a1.exchange"}},"host":"api.a1.exchange","basePath":"/v1","schemes":["https"],"consumes":["application/json"],"produces":["application/json"],"paths":{"/tickers":{"get":{"summary":"Get all the exchange tickers and their summaries.","description":"","operationId":"getTickers","produces":["application/json"],"responses":{"200":{"description":"Information on all the tickers on the exchange.","schema":{"$ref":"#/definitions/TickersResponse"}},"default":{"description":"Unexpected internal error.","schema":{"$ref":"#/definitions/ErrorResponse"}}}}}},"definitions":{"TickerResponse":{"type":"object","description":"A ticker response.","properties":{"open":{"type":"number","format":"double","description":"Opening price."},"low":{"type":"number","format":"double","description":"Lowest price in the last 24 hours."},"high":{"type":"number","format":"double","description":"Highest price in the last 24 hours."},"last":{"type":"number","format":"double","description":"Last price."},"volume":{"type":"number","format":"double","description":"Volume of the last 24 hours."}}},"TickersResponse":{"description":"A (key, TickerResponse) map. `VEO_ETH`is an example key.","properties":{"VEO_ETH":{"$ref":"#/definitions/TickerResponse"}},"additionalProperties":{"$ref":"#/definitions/TickerResponse"}},"ErrorResponse":{"type":"object","description":"Error response.","properties":{"error_text":{"type":"string","description":"Message of the response."}}}}}